# Atomistic.jl

[![License](https://img.shields.io/badge/License-MIT-blue.svg?style=flat-square")](https://mit-license.org)
[![Build Status](https://github.com/cesmix-mit/Atomistic.jl/workflows/CI/badge.svg)](https://github.com/cesmix-mit/Atomistic.jl/actions)
[![codecov](https://codecov.io/gh/cesmix-mit/Atomistic.jl/branch/main/graph/badge.svg?token=deFwHZ5wNt)](https://codecov.io/gh/cesmix-mit/Atomistic.jl)
[![Docs](https://img.shields.io/badge/docs-stable-blue.svg)](https://cesmix-mit.github.io/Atomistic.jl/stable)
[![Docs](https://img.shields.io/badge/docs-dev-blue.svg)](https://cesmix-mit.github.io/Atomistic.jl/dev)

Package that provides an integrated workflow for molecular dynamics (MD) simulations. Defines an API for MD simulations that is compatible with the interatomic potential interface defined by [InteratomicPotentials.jl](https://github.com/cesmix-mit/InteratomicPotentials.jl) and the atomic configuration interface defined by [AtomsBase.jl](https://github.com/JuliaMolSim/AtomsBase.jl).

Developed as part of the [CESMIX](https://computing.mit.edu/cesmix/) Julia package suite. See also [ComposableWorkflows](https://github.com/cesmix-mit/ComposableWorkflows), [InteratomicPotentials.jl](https://github.com/cesmix-mit/InteratomicPotentials.jl), and [PotentialLearning.jl](https://github.com/cesmix-mit/PotentialLearning.jl).
